Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
path: root/build-all-images.sh
diff options
context:
space:
mode:
authorErich Eckner <erich.eckner.ext@bestsecret.com>2024-07-09 15:14:19 +0200
committerErich Eckner <erich.eckner.ext@bestsecret.com>2024-07-09 15:15:16 +0200
commitf4bb1a7e31ee810ab3005252d60b9a3bd405d82d (patch)
tree667177740538da2981e70c8705164dfbbefdb2f5 /build-all-images.sh
parentcdf406e34944a86b549058d9520674a98c4ba491 (diff)
build-all-images.sh: allow to pull
Diffstat (limited to 'build-all-images.sh')
-rwxr-xr-xbuild-all-images.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/build-all-images.sh b/build-all-images.sh
index 2715740..a7e763b 100755
--- a/build-all-images.sh
+++ b/build-all-images.sh
@@ -2,6 +2,18 @@
cd "$(dirname "$(readlink -e "$0")")"
+if [ "x$1" = 'x--pull' ]; then
+ git pull --rebase
+ shift
+fi
+
+if [ $# -ne 0 ]; then
+ >&2 printf 'usage: %s [--pull]\n\n' "$0"
+ >&2 echo 'unknown parameters:'
+ >&2 printf ' "%s"\n' "$@"
+ exit 1
+fi
+
for ARCHITECTURE in i486 i686 pentium4; do
ARCHITECTRUE=$ARCHITECTURE sudo --preserve-env=ARCHITECTURE ./mkimage-arch.sh
done